{ config, lib, pkgs, ... }:

{

  home.file.".config/rofi" = {
    source = ../../.config/rofi;
    recursive = true;
  };

#   programs.rofi = {
#     enable = true;
#     font = "VictorMono Nerd Font 12";
#     cycle = true;
#     theme = 
# let
#   # Use `mkLiteral` for string-like values that should show without
#   # quotes, e.g.:
#   # {
#   #   foo = "abc"; =&gt; foo: "abc";
#   #   bar = mkLiteral "abc"; =&gt; bar: abc;
#   # };
#   inherit (config.lib.formats.rasi) mkLiteral;
# in {
#   "*" = {
#     background-color = mkLiteral "#000000";
#     foreground-color = mkLiteral "rgba ( 250, 251, 252, 100 % )";
#     border-color = mkLiteral "#FFFFFF";
#     width = 512;
#   };

#   "#inputbar" = {
#     children = map mkLiteral [ "prompt" "entry" ];
#   };

#   "#textbox-prompt-colon" = {
#     expand = false;
#     str = ":";
#     margin = mkLiteral "0px 0.3em 0em 0em";
#     text-color = mkLiteral "@foreground-color";
#   };
# }

#     #   {
#     #   configuration = {
#     #     icon-theme = "Papirus";
#     #     terminal = "konsole";
#     #     sidebar-mode = true;
#     #     run-command = "bash -c {cmd}";
#     #     run-list-command = "fish -c functions";
#     #     display-drun = " ";
#     #     display-run = " ";
#     #     display-window = " ";
#     #     display-combi = " ";
#     #     drun-display-format =
#     #       "{name} [<span weight='light' size='small'><i>({generic})</i></span>]"; # - {exec}
#     #     threads = 0;
#     #     scroll-method = 0;
#     #     disable-history = false;
#     #     kb-accept-entry = "Return";
#     #     kb-remove-to-eol = "Control-D";
#     #     kb-remove-char-back = "BackSpace";
#     #     kb-mode-complete = "Control-M";
#     #     kb-row-down = "Control-j";
#     #     kb-row-up = "Control-k";
#     #     kb-row-left = "Control-h";
#     #     kb-row-right = "Control-l";
#     #     font = "VictorMono Nerd Font 12.0";
#     #   };

#     #   "*" = {
#     #     backgrounkd = "#12121222";
#     #     background-color = "#00222b33";
#     #     background-entry = "#000000";
#     #     foreground-selected = "#ffffff";
#     #     urgent = "#E91E63";
#     #     urgent-selected = "#E91E63";
#     #     transparent = "#00000000";
#     #     base00 = "#282a36";
#     #     base01 = "#34353e";
#     #     base02 = "#43454f";
#     #     base03 = "#78787e";
#     #     base04 = "#a5a5a9";
#     #     base05 = "#e2e4e5";
#     #     base06 = "#eff0eb";
#     #     base07 = "#f1f1f0";
#     #     base08 = "#ff5c57";
#     #     base09 = "#ff9f43";
#     #     base0A = "#f3f99d";
#     #     base0B = "#5af78e";
#     #     base0C = "#9aedfe";
#     #     base0D = "#57c7ff";
#     #     base0E = "#ff6ac1";
#     #     base0F = "#b2643c";
#     #     base00t = "#282a3655";
#     #     background-alt = "@base02";
#     #   };

#     #   window = {
#     #     background-color = "@base00";
#     #     text-color = "@base05";
#     #     border-radius = "20px";
#     #     border = "0px";
#     #     width = "60%";
#     #     location = "center";
#     #     anchor = "center";
#     #     x-offset = "0";
#     #     y-offset = "0";
#     #     margin = "0px";
#     #     padding = "0px";
#     #   };

#     #   mainbox = {
#     #     border-radius = "16";
#     #     background-color = "@base00";
#     #     text-color = "@base05";
#     #     transparency = "real";
#     #     children = [ "inputbar" "listview" "message" ];
#     #     spacing = "5px";
#     #     padding = "10px 10px 10px 10px";
#     #   };

#     #   inputbar = {
#     #     # background-color =          @transparent;
#     #     background-color = "@base00";
#     #     text-color = "@base05";
#     #     expand = false;
#     #     border-radius = "36px";
#     #     margin = "0px 0px 0px 0px";
#     #     padding = "20px 6px 20px 6px";
#     #     position = "north";
#     #   };

#     #   prompt = {
#     #     enabled = true;
#     #     padding = "0px 6px 0px 5px";
#     #     background-color = "@base00";
#     #     text-color = "@base05";
#     #     border = "0px";
#     #     font = "VictorMono Nerd Font 22.0";
#     #   };

#     #   entry = {
#     #     background-color = "@base00";
#     #     color = "@base00";
#     #     placeholder-color = "@base05";
#     #     text-color = "@base05";
#     #     expand = true;
#     #     horizontal-align = 0;
#     #     placeholder = "";
#     #     blink = true;
#     #     border = "0px";
#     #     padding = "0px 0px 0px 6px";
#     #     font = "VictorMono Nerd Font 22.0";
#     #   };

#     #   case-indicator = {
#     #     background-color = "@transparent";
#     #     text-color = "@base05";
#     #     spacing = 0;
#     #     border = "0px";
#     #   };

#     #   sidebar = { border = "2px 0 0"; };

#     #   message = {
#     #     border = "0px 0 0";
#     #     padding = "0px";
#     #     background-color = "@transparent";
#     #   };

#     #   textbox = {
#     #     highlight = "@base0B";
#     #     text-color = "@base0B";
#     #     background-color = "@transparent";
#     #     padding = "10px 90px 10px 90px";
#     #   };

#     #   listview = {
#     #     background-color = "@base00";
#     #     columns = 1;
#     #     spacing = "4px";
#     #     cycle = false;
#     #     dynamic = true;
#     #     layout = "vertical";
#     #     lines = "10";
#     #     scrollbar = false;
#     #     border = "0px";
#     #     fixed-height = false;
#     #   };

#     #   element = {
#     #     background-color = "@transparent";
#     #     text-color = "@base05";
#     #     orientation = "horizontal";
#     #     border-radius = "55px";
#     #     padding = "5px 5px 5px 10px";
#     #   };

#     #   element-icon = {
#     #     background-color = "@transparent";
#     #     size = "30px";
#     #     border = "0px";
#     #     padding = "0px 0px 0px";
#     #   };

#     #   element-text = {
#     #     expand = true;
#     #     background-color = "@transparent";
#     #     text-color = "@base05";
#     #     vertical-align = "0.5";
#     #   };

#     #   "element normal.urgent, element alternate.urgent" = {
#     #     background-color = "@urgent";
#     #     text-color = "@base08";
#     #     border-radius = "9px";
#     #   };

#     #   "element normal.active, element alternate.active" = {
#     #     background-color = "@background-alt";
#     #     text-color = "@base0B";
#     #   };

#     #   "element selected" = {
#     #     background-color = "@background-alt";
#     #     text-color = "@base0A";
#     #   };

#     #   "element selected.urgent" = {
#     #     background-color = "@urgent-selected";
#     #     text-color = "@base08";
#     #   };

#     #   "element selected.active" = {
#     #     background-color = "@background-alt";
#     #     color = "@base0A";
#     #   };
#     # };
#   };
}
